/*File Name: UnderFunction.h
  Author: Betti Österholz ; Date: 13.08.2003
  System: C++
  
  This is header of the Basisclass of all Vector objects

*/

#ifndef ___UNDERFUNCTION_h__
#define ___UNDERFUNCTION_h__

#include "Vector.h"




class UnderFunction:public Vector
{
public:
	UnderFunction();
	//standart constructor
	//makes a blank object

	UnderFunction(const UnderFunction& udf);
	//copy constructor
	//makes a UnderFunction vector object with the same values as the given UnderFunction
	//vector
	//pre: the UnderFunction vector to copy
	
	unsigned long getTimeNeed() const;
	//to get a idea how long the object need to evaluate
	//post: a number for how much time the object need to evaluate

	virtual UnderFunction* copy();
	//copy this object(means all, even the objects in it)
	//post: a pointer to the copy of this object

	virtual string classnameOf() const;
	//returns the classname of this object as a string
	//post: the classname of this object as a string

};

#endif
